/*
  NIRHebrewService.h

  HebrewService - system services for Hebrew users.
 
  Copyright (C) 2003-2006 Nir Soffer
 
  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details:
  http://www.gnu.org/licenses/gpl.html
*/

#import <Cocoa/Cocoa.h>


@interface NIRHebrewService : NSObject {
}

// Services (more soon...)

- (void)convertFromHebrewWindows:(NSPasteboard *)pboard
                        userData:(NSString *)data
                           error:(NSString **)error;

- (void)reverseSelection:(NSPasteboard *)pboard
                userData:(NSString *)data
                   error:(NSString **)error;

/* This is not really related to hebrew, it will be moved in the  future 
   to a more general service. */
- (void)unwrapSelection:(NSPasteboard *)pboard
               userData:(NSString *)data
                  error:(NSString **)error;

// Utitlies

- (NSString *)stringFromPasteboard:(NSPasteboard *)pboard;

@end
